Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 11 Mar 2023 13:30:35 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi. I had very very bad & worst experienced regarding your online store & those 5 agents i chatted with since last Friday. I asked for return of my item Aldo bag coz its really small compare to the photo here. The 1st agent told me someone will collect within 3-5days but nothing. I kept updating & chatting with your agents & just getting stressed out. Yesterday another agent told someone will call me within 24hrs but nothing happened!!!!! And now another agent told me allow to resolve the issue within 24hrs!!! Thus never happened. I asked for return since last Friday!!!! Its more than a week already. The agents just kept chatting sorry for incovenience but no actions at all. Its so frustrating that i have to deal like this just for a return. You don’t care the customer at all!!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5828213